zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 22941f4e01294888a9bed3aae15f6ef9
      name: Templates/AWNET
  templates:
    - uuid: 188bbd004fd94b4d8bbaee4333ca8077
      template: 'AWNET FreeBSD Template'
      name: 'AWNET FreeBSD Template'
      description: 'Версия: v0.r202406.1'
      groups:
        - name: Templates/AWNET
      items:
        - uuid: ac4c32ef9cf44ed5b18585989a141389
          name: 'Пакеты под обновление'
          type: ZABBIX_ACTIVE
          key: aw.fbsd.pkg.updatable
          delay: 5m
          history: 90d
          trends: '0'
          value_type: TEXT
          preprocessing:
            - type: DISCARD_UNCHANGED
              parameters:
                - ''
          tags:
            - tag: Application
              value: PKG
          triggers:
            - uuid: 88160873c0aa4bba82aba7f5391b5115
              expression: 'length(last(/AWNET FreeBSD Template/aw.fbsd.pkg.updatable))>2'
              name: 'Существуют пакеты, требующие обновления'
              priority: WARNING
              type: MULTIPLE
              tags:
                - tag: Application
                  value: PKG
        - uuid: 29891c0f0d2f4297bdfa049c49a3b50f
          name: 'Версия ОС: Ядро системы'
          key: aw.fbsd.version.kernel
          history: 90d
          trends: '0'
          value_type: TEXT
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
        - uuid: d7fe2bdc7af04a0cb981cca668835bc7
          name: 'Версия ОС: Ядро системы, находящееся в работе'
          key: aw.fbsd.version.kernel.running
          history: 90d
          trends: '0'
          value_type: TEXT
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
        - uuid: 6e4bcce1f68b46009f79c9d563448810
          name: 'Версия ОС: Системное окружение'
          key: aw.fbsd.version.userland
          history: 90d
          trends: '0'
          value_type: TEXT
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
        - uuid: 21140a98f99b4eadb62a632adc76fcf0
          name: 'Ошибки в системном журнале'
          type: ZABBIX_ACTIVE
          key: 'logrt["/var/log/warning_msg\.log$","@FreeBSD syslog file warning filter",utf8]'
          history: 90d
          trends: '0'
          value_type: LOG
          tags:
            - tag: Module
              value: 'Системный журнал'
          triggers:
            - uuid: a9049f62969a465ca9e7dcaa5de8a988
              expression: 'nodata(/AWNET FreeBSD Template/logrt["/var/log/warning_msg\.log$","@FreeBSD syslog file warning filter",utf8],2m)=0'
              name: 'Ошибки в системном журнале'
              opdata: '{ITEM.VALUE}'
              priority: WARNING
      macros:
        - macro: '{$AW.FBSD.IGNORE_PKGS}'
          description: 'Регулярка игнорируемых пакетов при выдаче информации о пакетах, требующих обновления'
  triggers:
    - uuid: f061b328bf4b490499b947601149d048
      expression: 'last(/AWNET FreeBSD Template/aw.fbsd.version.kernel) <> last(/AWNET FreeBSD Template/aw.fbsd.version.kernel.running)'
      name: 'Ядро системы, находящееся в работе, не соответствует установленному.'
      opdata: 'Установлено:  "{ITEM.LASTVALUE1}": в работе: "{ITEM.LASTVALUE2}"'
      priority: WARNING
